QXmpp Version:0.7.6

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Member Functions | Public Attributes | List of all members
QXmppRtpPacket Class Reference

The QXmppRtpPacket class represents an RTP packet. More...

`#include <QXmppRtpChannel.h>`

## Public Member Functions

bool | decode (const QByteArray &ba)
QByteArray | encode () const
| Encodes an RTP packet.
QString | toString () const
| Returns a string representation of the RTP header.

## Public Attributes

quint8 | version
| RTP version.
bool | marker
| Marker flag.
quint8 | type
| Payload type.
quint32 | ssrc
| Synchronization source.
QList< quint32 > | csrc
| Contributing sources.
quint16 | sequence
| Sequence number.
quint32 | stamp
| Timestamp.
QByteArray | payload
| Raw payload data.

## Detailed Description

The QXmppRtpPacket class represents an RTP packet.

## Member Function Documentation

bool QXmppRtpPacket::decode | ( | const QByteArray & | ba | ) |

Parses an RTP packet.

Parameters

  ba |

The documentation for this class was generated from the following files:

- QXmppRtpChannel.h
- QXmppRtpChannel.cpp